DH_INSTALLDIRS(1)

NAME
dh_installdirs - create subdirectories in package build directories

SYNOPSIS
dh_installdirs [debhelper options] [-A] [dir ...]

DESCRIPTION
dh_installdirs is a debhelper program that is responsible for creating subdirectories in package build directories.

Many packages can get away with omitting the call to dh_installdirs completely. Notably, other dh_* commands are expected to create directories as needed.

FILES

debian/package.dirs
    Lists directories to be created in package.

    Generally, there is no need to list directories created by the upstream build system or directories needed by other debhelper commands.

OPTIONS

-A, --all
    Create any directories specified by command line parameters in ALL packages acted on, not just the first.

dir ...
    Create these directories in the package build directory of the first package acted on. (Or in all packages if -A is specified.)

SEE ALSO
debhelper(7)

This program is a part of debhelper.

AUTHOR
Joey Hess <joeyh@debian.org>